org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.OnError

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.OnError
    extends Stage

A stage returning a stream containing all the elements from this stream, additionally performing the provided action if this stream conveys an error.

The given consumer function must be invoked with the conveyed failure.

Any `RuntimeException` thrown by the function must be propagated downstream as an error, replacing the exception that the consumer was handling.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Consumer<Throwable>` `getConsumer()` The error handler.

### Method Detail

#### getConsumer

    Consumer<Throwable> getConsumer()

The error handler.

Returns:
  the error handler.